commit:     51334e6938027885894ed4cf142e29c370ae6aa7
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 20:38:38 2022 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 20:39:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=51334e69

app-emulation/wine-staging: Even more warnings

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>

 app-emulation/wine-staging/wine-staging-7.3.ebuild  | 10 +++++-----
 app-emulation/wine-staging/wine-staging-7.4.ebuild  | 10 +++++-----
 app-emulation/wine-staging/wine-staging-7.5.ebuild  | 10 +++++-----
 app-emulation/wine-staging/wine-staging-7.6.ebuild  | 10 +++++-----
 app-emulation/wine-staging/wine-staging-9999.ebuild | 10 +++++-----
 5 files changed, 25 insertions(+), 25 deletions(-)

diff --git a/app-emulation/wine-staging/wine-staging-7.3.ebuild 
b/app-emulation/wine-staging/wine-staging-7.3.ebuild
index eac3a1f..6cdb360 100644
--- a/app-emulation/wine-staging/wine-staging-7.3.ebuild
+++ b/app-emulation/wine-staging/wine-staging-7.3.ebuild
@@ -547,12 +547,12 @@ multilib_src_install_all() {
        find "${ED}" -name *.la -delete || die
 
        if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
+               rm "${D%}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
+                       "${D%}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
        fi
 
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
+       use abi_x86_32 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine{,-preloader} #255055
+       use abi_x86_64 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine64{,-preloader}
 
        # Avoid double prefix from dosym and make_wrapper
        MY_PREFIX=${MY_PREFIX#${EPREFIX}}
@@ -567,7 +567,7 @@ multilib_src_install_all() {
        # Make wrappers for binaries for handling multiple variants
        # Note: wrappers instead of symlinks because some are shell which use 
basename
        local b
-       for b in "${ED%/}${MY_PREFIX}"/bin/*; do
+       for b in "${ED%}${MY_PREFIX}"/bin/*; do
                make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
        done
        eshopts_pop

diff --git a/app-emulation/wine-staging/wine-staging-7.4.ebuild 
b/app-emulation/wine-staging/wine-staging-7.4.ebuild
index eac3a1f..6cdb360 100644
--- a/app-emulation/wine-staging/wine-staging-7.4.ebuild
+++ b/app-emulation/wine-staging/wine-staging-7.4.ebuild
@@ -547,12 +547,12 @@ multilib_src_install_all() {
        find "${ED}" -name *.la -delete || die
 
        if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
+               rm "${D%}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
+                       "${D%}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
        fi
 
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
+       use abi_x86_32 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine{,-preloader} #255055
+       use abi_x86_64 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine64{,-preloader}
 
        # Avoid double prefix from dosym and make_wrapper
        MY_PREFIX=${MY_PREFIX#${EPREFIX}}
@@ -567,7 +567,7 @@ multilib_src_install_all() {
        # Make wrappers for binaries for handling multiple variants
        # Note: wrappers instead of symlinks because some are shell which use 
basename
        local b
-       for b in "${ED%/}${MY_PREFIX}"/bin/*; do
+       for b in "${ED%}${MY_PREFIX}"/bin/*; do
                make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
        done
        eshopts_pop

diff --git a/app-emulation/wine-staging/wine-staging-7.5.ebuild 
b/app-emulation/wine-staging/wine-staging-7.5.ebuild
index eac3a1f..6cdb360 100644
--- a/app-emulation/wine-staging/wine-staging-7.5.ebuild
+++ b/app-emulation/wine-staging/wine-staging-7.5.ebuild
@@ -547,12 +547,12 @@ multilib_src_install_all() {
        find "${ED}" -name *.la -delete || die
 
        if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
+               rm "${D%}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
+                       "${D%}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
        fi
 
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
+       use abi_x86_32 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine{,-preloader} #255055
+       use abi_x86_64 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine64{,-preloader}
 
        # Avoid double prefix from dosym and make_wrapper
        MY_PREFIX=${MY_PREFIX#${EPREFIX}}
@@ -567,7 +567,7 @@ multilib_src_install_all() {
        # Make wrappers for binaries for handling multiple variants
        # Note: wrappers instead of symlinks because some are shell which use 
basename
        local b
-       for b in "${ED%/}${MY_PREFIX}"/bin/*; do
+       for b in "${ED%}${MY_PREFIX}"/bin/*; do
                make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
        done
        eshopts_pop

diff --git a/app-emulation/wine-staging/wine-staging-7.6.ebuild 
b/app-emulation/wine-staging/wine-staging-7.6.ebuild
index cf7e3d6..3af57b1 100644
--- a/app-emulation/wine-staging/wine-staging-7.6.ebuild
+++ b/app-emulation/wine-staging/wine-staging-7.6.ebuild
@@ -547,12 +547,12 @@ multilib_src_install_all() {
        find "${ED}" -name *.la -delete || die
 
        if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
+               rm "${D%}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
+                       "${D%}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
        fi
 
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
+       use abi_x86_32 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine{,-preloader} #255055
+       use abi_x86_64 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine64{,-preloader}
 
        # Avoid double prefix from dosym and make_wrapper
        MY_PREFIX=${MY_PREFIX#${EPREFIX}}
@@ -567,7 +567,7 @@ multilib_src_install_all() {
        # Make wrappers for binaries for handling multiple variants
        # Note: wrappers instead of symlinks because some are shell which use 
basename
        local b
-       for b in "${ED%/}${MY_PREFIX}"/bin/*; do
+       for b in "${ED%}${MY_PREFIX}"/bin/*; do
                make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
        done
        eshopts_pop

diff --git a/app-emulation/wine-staging/wine-staging-9999.ebuild 
b/app-emulation/wine-staging/wine-staging-9999.ebuild
index cf7e3d6..3af57b1 100644
--- a/app-emulation/wine-staging/wine-staging-9999.ebuild
+++ b/app-emulation/wine-staging/wine-staging-9999.ebuild
@@ -547,12 +547,12 @@ multilib_src_install_all() {
        find "${ED}" -name *.la -delete || die
 
        if ! use perl ; then # winedump calls function_grep.pl, and winemaker 
is a perl script
-               rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} 
\
-                       "${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
+               rm "${D%}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
+                       "${D%}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
        fi
 
-       use abi_x86_32 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
-       use abi_x86_64 && pax-mark psmr 
"${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
+       use abi_x86_32 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine{,-preloader} #255055
+       use abi_x86_64 && pax-mark psmr 
"${D%}${MY_PREFIX}"/bin/wine64{,-preloader}
 
        # Avoid double prefix from dosym and make_wrapper
        MY_PREFIX=${MY_PREFIX#${EPREFIX}}
@@ -567,7 +567,7 @@ multilib_src_install_all() {
        # Make wrappers for binaries for handling multiple variants
        # Note: wrappers instead of symlinks because some are shell which use 
basename
        local b
-       for b in "${ED%/}${MY_PREFIX}"/bin/*; do
+       for b in "${ED%}${MY_PREFIX}"/bin/*; do
                make_wrapper "${b##*/}-${WINE_VARIANT}" 
"${MY_PREFIX}/bin/${b##*/}"
        done
        eshopts_pop

Reply via email to